POST /contacts/v1/contacts/actions/delete/options

Overview 

Retrieves delete options based on the specified parameters. You must provide a context request body for this resource, but all listed parameters are optional.

JSON Parameters 

NameTypeDescription
ListTypestringType of list referenced. Specify either Audience or List.
DeleteOperationTypestringType of delete operation referenced. Specify either ContactAndAttributes or AttributesOnly.
ApplicationContextstringThe application ID or application key value used to retrieve options available for that application.

Usage 

Example Request

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2POST /contacts/v1/contacts/actions/delete/options
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN
5
6{
7  "context": {
8    "listType":audience”,
9    "deleteOperationType": "ContactAndAttributes",
10    "applicationContext": {
11      "applicationID": "e25893f9-08f3-480f-8def-7f8ab0583611"
12    }
13}

Example Response The response contains all the registered options from each adapter.

1{
2    "items": [
3        {
4            "adapterID": 1010,
5            "adapterKey": "ContactDeleteProcessor.ContactBuilder.Roots",
6            "applicationID": "e3640f97-1328-48ed-b3d5-03ca7c0d2e12",
7            "options": {
8                "5523009a-4174-4dd8-8ba6-c6df7c28a39b": {
9                    "iD": "5523009a-4174-4dd8-8ba6-c6df7c28a39b",
10                    "key": "Contacts",
11                    "name": {
12                        "value": "Contacts"
13                    },
14                    "description": {
15                        "value": "Contacts options for Contacts Delete"
16                    },
17                    "optionType": "CheckBox",
18                    "optionDataType": "Boolean",
19                    "defaultValue": false
20                }
21            }
22        },
23        {
24            "adapterID": 1013,
25            "adapterKey": "ContactDeleteProcessor.MobileConnect",
26            "applicationID": "e25893f9-08f3-480f-8def-7f8ab0583611",
27            "options": {
28                "2f2e5b49-b2d3-4dad-8781-876bc9cd1525": {
29                    "iD": "2f2e5b49-b2d3-4dad-8781-876bc9cd1525",
30                    "key": "MobileConnectAddresses",
31                    "name": {
32                        "value": "Addresses"
33                    },
34                    "description": {
35                        "value": "MobileAddress option for Contacts Delete"
36                    },
37                    "optionType": "CheckBox",
38                    "optionDataType": "Boolean",
39                    "defaultValue": false
40                },
41                "b0580712-a1fe-4bc0-9857-6dcfcd110439": {
42                    "iD": "b0580712-a1fe-4bc0-9857-6dcfcd110439",
43                    "key": "MobileConnectSubscriptions",
44                    "name": {
45                        "value": "Subscriptions"
46                    },
47                    "description": {
48                        "value": "MobileSubscription option for Contacts Delete"
49                    },
50                    "optionType": "CheckBox",
51                    "optionDataType": "Boolean",
52                    "defaultValue": false
53                }
54            }
55        }
56    ],
57    "requestServiceMessageID": "20c895b0-d7e0-4fb2-8d46-f0cebfe02196",
58    "resultMessages": [],
59    "serviceMessageID": "2e848b53-8d73-416c-96c3-a278b5f42680"
60}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!